<?xml version="1.0" encoding="UTF-8"?>
<project basedir="." default="run.client">
    <property environment="env"/>
    <property name="project.base.dir" value="."/>
    <property name="axis2.home" value="${env.AXIS2_HOME}"/>
    <property name="rampart.home" value="./rampart-1.3"/>    
    <property name="name" value="HPCBPService"/>
    <property name="src" value="${project.base.dir}/src"/>
    <property name="build" value="${project.base.dir}/build"/>
    <property name="classes" value="${build}/classes"/>
    <property name="lib" value="${build}/lib"/>
    <property value="" name="jars.ok"/>

    <target name="run.client" >
       <java classname="org.ogf.hpcbp.Client" classpath="build/classes" >
         <arg value="YOURENDPOINT"/>
	       <arg value="..\HPCBPClient\HPCBP-Job.xml"/>
	       <arg value="YOURUSERNAME" />
	       <arg value="YOURPASSWORD" />
         <classpath>
           <fileset dir="${axis2.home}">
             <include name="lib/*.jar"/>
           </fileset>
           <fileset dir="${rampart.home}">
             <include name="lib/*.jar"/>
           </fileset>
         </classpath>
       </java>
    </target>

    <target name="init">
        <mkdir dir="${build}"/>
        <mkdir dir="${classes}"/>
        <mkdir dir="${lib}"/>
    </target>

    <target depends="init" name="compile.src">
        <javac debug="on" memoryMaximumSize="256m" memoryInitialSize="256m" fork="true" destdir="${classes}" srcdir="${src}">
          <classpath>
           <fileset dir="${axis2.home}">
             <include name="lib/*.jar"/>
           </fileset>
           <fileset dir="${rampart.home}">
             <include name="lib/*.jar"/>
           </fileset>
         </classpath>
        </javac>
    </target>
</project>

